apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../demo23-cluster
  - mongo-creds-secret.yaml
  - deployment-k8s.yaml
namespace: montblanc-iot
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "icp-credentialissuer.montblanc-iot.provider.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["icp-credentialissuer.montblanc-iot.provider.demo23.gxfs.fr"]
      - op: replace
        path: "/spec/tls/0/secretName"
        value: "ingress-icp-credentialissuer-tls"
    target:
      kind: Ingress
      name: icp-credentialissuer
  - patch: |-      
      - op: replace
        path: "/spec/template/spec/containers/0/env/5/value"
        value: "https://icp-credentialissuer.montblanc-iot.provider.demo23.gxfs.fr"
      - op: replace
        path: "/spec/template/spec/containers/0/env/6/value"
        value: "https://icp-portal.montblanc-iot.provider.demo23.gxfs.fr"
      - op: replace
        path: "/spec/template/spec/containers/0/env/7/value"
        value: "did:web:montblanc-iot.provider.demo23.gxfs.fr"
    target:
      kind: Deployment
      name: icp-credentialissuer